<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Class: SearchController</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-Script-Type" content="text/javascript" />
  <link rel="stylesheet" href=".././rdoc-style.css" type="text/css" media="screen" />
  <script type="text/javascript">
  // <![CDATA[

  function popupCode( url ) {
    window.open(url, "Code", "resizable=yes,scrollbars=yes,toolbar=no,status=no,height=150,width=400")
  }

  function toggleCode( id ) {
    if ( document.getElementById )
      elem = document.getElementById( id );
    else if ( document.all )
      elem = eval( "document.all." + id );
    else
      return false;

    elemStyle = elem.style;
    
    if ( elemStyle.display != "block" ) {
      elemStyle.display = "block"
    } else {
      elemStyle.display = "none"
    }

    return true;
  }
  
  // Make codeblocks hidden by default
  document.writeln( "<style type=\"text/css\">div.method-source-code { display: none }</style>" )
  
  // ]]>
  </script>

</head>
<body>



    <div id="classHeader">
        <table class="header-table">
        <tr class="top-aligned-row">
          <td><strong>Class</strong></td>
          <td class="class-name-in-header">SearchController</td>
        </tr>
        <tr class="top-aligned-row">
            <td><strong>In:</strong></td>
            <td>
                <a href="../files/app/controllers/search_controller_rb.html">
                app/controllers/search_controller.rb
                </a>
        <br />
            </td>
        </tr>

        <tr class="top-aligned-row">
            <td><strong>Parent:</strong></td>
            <td>
                <a href="ApplicationController.html">
                ApplicationController
               </a>
            </td>
        </tr>
        </table>
    </div>
  <!-- banner header -->

  <div id="bodyContent">



  <div id="contextContent">



   </div>

    <div id="method-list">
      <h3 class="section-bar">Methods</h3>

      <div class="name-list">
      <a href="#M000056">search_simple</a>&nbsp;&nbsp;
      </div>
    </div>

  </div>


    <!-- if includes -->

    <div id="section">





      


    <!-- if method_list -->
    <div id="methods">
      <h3 class="section-bar">Public Instance methods</h3>

      <div id="method-M000056" class="method-detail">
        <a name="M000056"></a>

        <div class="method-heading">
          <a href="#M000056" class="method-signature">
          <span class="method-name">search_simple</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000056-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000056-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/search_controller.rb, line 2</span>
 2:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">search_simple</span>
 3:     <span class="ruby-ivar">@composer_id</span> = <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:composer</span>] <span class="ruby-operator">?</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:composer</span>][<span class="ruby-identifier">:composer_id</span>].<span class="ruby-identifier">to_i</span> <span class="ruby-operator">:</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:composer_id</span>].<span class="ruby-identifier">to_i</span>
 4:     <span class="ruby-ivar">@instrumentation_id</span> = <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:instrumentation</span>] <span class="ruby-operator">?</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:instrumentation</span>][<span class="ruby-identifier">:instrumentation_id</span>].<span class="ruby-identifier">to_i</span> <span class="ruby-operator">:</span> <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:instrumentation_id</span>].<span class="ruby-identifier">to_i</span>
 5: 
 6:     <span class="ruby-comment cmt"># collect different conditions:</span>
 7:     <span class="ruby-ivar">@reload_instr</span> = <span class="ruby-keyword kw">true</span>;
 8:     <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@composer_id</span> <span class="ruby-operator">&gt;</span> <span class="ruby-value">0</span> <span class="ruby-operator">&amp;&amp;</span> <span class="ruby-ivar">@instrumentation_id</span> <span class="ruby-operator">&gt;</span> <span class="ruby-value">0</span>
 9:         <span class="ruby-identifier">conditions</span> = [<span class="ruby-value str">&quot;composer_id = ? and instrumentation_id = ?&quot;</span>, <span class="ruby-ivar">@composer_id</span>, <span class="ruby-ivar">@instrumentation_id</span>]
10:         <span class="ruby-ivar">@reload_instr</span> = <span class="ruby-keyword kw">true</span>;
11:     <span class="ruby-keyword kw">end</span>
12:     <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@composer_id</span> <span class="ruby-operator">==</span> <span class="ruby-value">-1</span> <span class="ruby-operator">&amp;&amp;</span> <span class="ruby-ivar">@instrumentation_id</span> <span class="ruby-operator">&gt;</span> <span class="ruby-value">0</span>
13:         <span class="ruby-identifier">conditions</span> = [<span class="ruby-value str">&quot;instrumentation_id = ?&quot;</span>, <span class="ruby-ivar">@instrumentation_id</span>]
14:         <span class="ruby-ivar">@reload_instr</span> = <span class="ruby-keyword kw">true</span>;
15:     <span class="ruby-keyword kw">end</span>
16:     <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@composer_id</span> <span class="ruby-operator">&gt;</span> <span class="ruby-value">0</span> <span class="ruby-operator">&amp;&amp;</span> <span class="ruby-ivar">@instrumentation_id</span> <span class="ruby-operator">==</span> <span class="ruby-value">-1</span>
17:         <span class="ruby-identifier">conditions</span> = [<span class="ruby-value str">&quot;composer_id = ?&quot;</span>, <span class="ruby-ivar">@composer_id</span>]
18:     <span class="ruby-keyword kw">end</span>
19:     
20:     <span class="ruby-ivar">@order</span> = <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:order</span>]
21:     <span class="ruby-ivar">@next_order</span> = {}
22:     <span class="ruby-node">%w(composers.name works.title instrumentations.label)</span>.<span class="ruby-identifier">each</span> <span class="ruby-keyword kw">do</span> <span class="ruby-operator">|</span><span class="ruby-identifier">column</span><span class="ruby-operator">|</span> 
23:       <span class="ruby-keyword kw">if</span> <span class="ruby-ivar">@order</span> <span class="ruby-operator">==</span> <span class="ruby-identifier">column</span> <span class="ruby-operator">+</span> <span class="ruby-value str">' asc'</span>
24:         <span class="ruby-ivar">@next_order</span>[<span class="ruby-identifier">column</span>] = <span class="ruby-identifier">column</span> <span class="ruby-operator">+</span> <span class="ruby-value str">' desc'</span>
25:       <span class="ruby-keyword kw">elsif</span> <span class="ruby-ivar">@order</span> <span class="ruby-operator">==</span> <span class="ruby-identifier">column</span> <span class="ruby-operator">+</span> <span class="ruby-value str">' desc'</span>
26:         <span class="ruby-ivar">@next_order</span>[<span class="ruby-identifier">column</span>] = <span class="ruby-keyword kw">nil</span>
27:       <span class="ruby-keyword kw">else</span>
28:         <span class="ruby-ivar">@next_order</span>[<span class="ruby-identifier">column</span>] = <span class="ruby-identifier">column</span> <span class="ruby-operator">+</span> <span class="ruby-value str">' asc'</span>
29:       <span class="ruby-keyword kw">end</span>
30:     <span class="ruby-keyword kw">end</span>
31: 
32:     <span class="ruby-comment cmt"># run different sql, one with , one without conditions:</span>
33:     <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">conditions</span>
34:       <span class="ruby-ivar">@work_pages</span>, <span class="ruby-ivar">@works</span> = <span class="ruby-identifier">paginate</span>(<span class="ruby-identifier">:works</span>,
35:           <span class="ruby-identifier">:include</span> =<span class="ruby-operator">&gt;</span> [<span class="ruby-identifier">:instrumentations</span>, <span class="ruby-identifier">:composer</span>],
36:           <span class="ruby-identifier">:conditions</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">conditions</span>,
37:           <span class="ruby-identifier">:order</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-ivar">@order</span>,
38:           <span class="ruby-identifier">:per_page</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value">10</span>)
39:     <span class="ruby-keyword kw">else</span>
40:       <span class="ruby-ivar">@work_pages</span>, <span class="ruby-ivar">@works</span> = <span class="ruby-identifier">paginate</span>(<span class="ruby-identifier">:works</span>,
41:           <span class="ruby-identifier">:include</span> =<span class="ruby-operator">&gt;</span> [<span class="ruby-identifier">:composer</span>],
42:           <span class="ruby-identifier">:order</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-ivar">@order</span>,
43:           <span class="ruby-identifier">:per_page</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value">10</span>)
44:     <span class="ruby-keyword kw">end</span>
45: <span class="ruby-comment cmt">#    @compositions_pages, @compositions = paginate @compositions_all, :per_page =&gt; 10</span>
46: 
47:     <span class="ruby-identifier">render</span> <span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">'list_works'</span>
48:     
49:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>


    </div>


  </div>


<div id="validator-badges">
  <p><small><a href="http://validator.w3.org/check/referer">[Validate]</a></small></p>
</div>

</body>
</html>